@charset "UTF-8";
/* CSS Document */

.slider_container {
    width: 360px;
    height: 509px;
    position: relative; 
    border-color: #fff;
    background-color: #f5f5f5;
}

.slider_container div {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    filter: alpha(opacity=0);
}


/* CSS3 Keyframes Animation */
/* 設定動畫週期 */

.slider_container div {
    -webkit-animation: round 10s linear infinite;
            animation: round 10s linear infinite;
}

@-webkit-keyframes round {
    10% {
        opacity: 1;
        filter: alpha(opacity=100);
        /* 0 - 1秒 淡入*/
    }
    50% {
        opacity: 1;
        filter: alpha(opacity=100);
        /* 1- 5秒靜止*/
    }
    60% {
        opacity: 0;
        filter: alpha(opacity=0);
        /* 5-6秒淡出*/
    }
}
@keyframes round {
    10% {
        opacity: 1;
        filter: alpha(opacity=100);
        /* 0 - 1秒 淡入*/
    }
    50% {
        opacity: 1;
        filter: alpha(opacity=100);
        /* 1- 5秒靜止*/
    }
    60% {
        opacity: 0;
        filter: alpha(opacity=0);
        /* 5-6秒淡出*/
    }
}


/* 每張圖片進場時間相隔5秒 */

.slider_container div:nth-child(2) {
    -webkit-animation-delay: 0s;
            animation-delay: 0s;
}

.slider_container div:nth-child(1) {
    -webkit-animation-delay: 5s;
            animation-delay: 5s;
}


/* CSS transition */
/* 當滑鼠移到圖片上時、底下出現 “Image Description” 字樣且輪播動畫暫停。當滑鼠離開時、”Image Description” 字樣且輪播動畫繼續播放。 */
/*
.slider_container span {    
    color: #000;
    background: #fff;
    position: absolute;
    left: 0%;
    top: 506px;
    width: 400px;
    height: 100px;
    font-size: 30px;
    text-align: center;
    line-height: 100px;
    -webkit-transform:scaleY(0);
        -ms-transform:scaleY(0);
            transform:scaleY(0);
    -webkit-transition: all 0.5s ease-in-out;
            transition: all 0.5s ease-in-out;
}

.slider_container:hover span {
    width: 100%;
    -webkit-transform:scaleY(1);
        -ms-transform:scaleY(1);
            transform:scaleY(1);
}
*/

/* Pause And Restart */
/* 當滑鼠移到圖片上時，暫停播放動畫 */

.slider_container:hover div {
    -webkit-animation-play-state: paused;
            animation-play-state: paused;
}